<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>polylib: assert.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.6 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
<h1>assert.h</h1><a href="assert_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* Version "abort" de l'assert de /usr/include/assert.h </span>
<a name="l00002"></a>00002 <span class="comment"> * Il est installe dans Linear de maniere a masquer /usr/include/assert.h</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * Il faut faire un include de &lt;stdio.h&gt; pour l'utiliser.</span>
<a name="l00005"></a>00005 <span class="comment"> */</span>
<a name="l00006"></a>00006 
<a name="l00007"></a>00007 <span class="preprocessor"># ifndef NDEBUG</span>
<a name="l00008"></a><a class="code" href="assert_8h.html#2abddb569adbf64e896781012cdb9ff6">00008</a> <span class="preprocessor"></span><span class="preprocessor"># define _assert(ex)    {if (!(ex)){(void)fprintf(stderr,"Assertion failed: file \"%s\", line %d\n", __FILE__, __LINE__);(void) abort();}}</span>
<a name="l00009"></a><a class="code" href="assert_8h.html#07d17d6d5d1074c0969bc5d3c3d1d84a">00009</a> <span class="preprocessor"></span><span class="preprocessor"># define assert(ex)     _assert(ex)</span>
<a name="l00010"></a>00010 <span class="preprocessor"></span><span class="preprocessor"># else</span>
<a name="l00011"></a>00011 <span class="preprocessor"></span><span class="preprocessor"># define _assert(ex)</span>
<a name="l00012"></a>00012 <span class="preprocessor"></span><span class="preprocessor"># define assert(ex)</span>
<a name="l00013"></a>00013 <span class="preprocessor"></span><span class="preprocessor"># endif</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Sep 15 18:33:58 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
</body>
</html>
